SSLContextServerParameters (Apache CXF JavaDoc 4.1.6 API)
Description: declaration: package: org.apache.cxf.configuration.jsse, class: SSLContextServerParameters

Package org.apache.cxf.configuration.jsse

# Class SSLContextServerParameters

java.lang.Object
org.apache.cxf.configuration.jsse.TLSParameterBase
org.apache.cxf.configuration.jsse.TLSServerParameters
org.apache.cxf.configuration.jsse.SSLContextServerParameters

public class SSLContextServerParameters extends TLSServerParameters
Allows to supply to the HTTP Server the complete SSLContext already preconfigured.

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.configuration.jsse.TLSParameterBase

  `certAlias, certConstraints, cipherSuiteFilters, ciphersuites, DEFAULT_HTTPS_PROTOCOLS, keyManagers, protocol, provider, secureRandom, trustManagers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SSLContextServerParameters(SSLContext sslContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KeyManager[]`
  `getKeyManagers()`
  Returns the key managers for the endpoint.
  `SSLContext`
  `getSslContext()`
  `TrustManager[]`
  `getTrustManagers()`
  Returns the TrustManagers associated with the endpoint.

  ### Methods inherited from class org.apache.cxf.configuration.jsse.TLSServerParameters

  `getClientAuthentication, getExcludeProtocols, getIncludeProtocols, getPreferredServerProtocols, isSniHostCheck, setClientAuthentication, setExcludeProtocols, setIncludeProtocols, setSniHostCheck`

  ### Methods inherited from class org.apache.cxf.configuration.jsse.TLSParameterBase

  `getCertAlias, getCertConstraints, getCipherSuites, getCipherSuitesFilter, getJsseProvider, getSecureRandom, getSecureSocketProtocol, setCertAlias, setCertConstraints, setCipherSuites, setCipherSuitesFilter, setJsseProvider, setKeyManagers, setSecureRandom, setSecureSocketProtocol, setTrustManagers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SSLContextServerParameters

    public SSLContextServerParameters(SSLContext sslContext)

- ## Method Details

  - ### getSslContext

    public SSLContext getSslContext()

  - ### getTrustManagers

    public TrustManager[] getTrustManagers()
    Description copied from class: `TLSParameterBase`
    Returns the TrustManagers associated with the endpoint.
    Overrides:
      `getTrustManagers` in class `TLSParameterBase`

  - ### getKeyManagers

    public KeyManager[] getKeyManagers()
    Description copied from class: `TLSParameterBase`
    Returns the key managers for the endpoint.
    Overrides:
      `getKeyManagers` in class `TLSParameterBase`